## pycares 2.1.1

=== debian/changelog ===
pycares (2.1.1-2build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:25:05 +1200

pycares (2.1.1-2build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 12:11:02 +1200

pycares (2.1.1-2) unstable; urgency=medium

  * debian/rules, debian/add-ons/configure: use configure script from c-ares
    to generate ares_config.h, necessary for building on any architecture.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 15 Nov 2016 23:23:37 +0100

pycares (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: remove fix-doc-build.patch which as been applied upstream.
  * debian/watch: use substitutions to make it more generic, and do not use
    uupdate automatically.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 09 Oct 2016 16:58:28 +0200

pycares (2.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #835348)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 25 Aug 2016 15:39:48 +0200
