## pycares 3.1.1

=== debian/changelog ===
pycares (3.1.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:32 +0100

pycares (3.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 10 Jan 2020 01:57:29 -0500

pycares (3.1.0-4) unstable; urgency=medium

  * Run dh_installdocs on all binaries also so debian/copyright is installed
    in all packages (Closes: #948252)
  * Update doc-base for current documentation location and package name

 -- Scott Kitterman <scott@kitterman.com>  Sun, 05 Jan 2020 22:15:36 -0500

pycares (3.1.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Dec 2019 23:33:44 -0500

pycares (3.1.0-2) experimental; urgency=medium

  * Update autopkgtest depends
  * Update debian/copyright
  * d/rules: Use -indep overrides for doc build
  * d/rules: Set --doc-main-package for dh_installdocs and dh_installexamples
    so doc files are installed in /usr/share/doc/python3-pycares
  * Delete obsolete debian/add-ons directory

 -- Scott Kitterman <scott@kitterman.com>  Fri, 20 Dec 2019 00:28:30 -0500

pycares (3.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.

  [ Daniel Kahn Gillmor ]
  * d/control: Set Vcs-* to salsa.debian.org
  * ship examples in python-pycares-doc
  * set Rules-Requires-Root: no
  * drop unnecessary x-python3-version field
  * move to DEP-14-style gbp branches
  * standards-version: bump to 4.4.1 (no changes needed)
  * update to dh 12
  * run wrap-and-sort -ast
  * d/watch: sort beta versions before released versions

  [ Scott Kitterman ]
  * Set maintainer to DPMT, add myself to uploaders (Closes: #945043)
  * Add build-depends on python3-cffi and python3-idna for pycares 3+
  * Manually add python3-idna to python3-pycares depends
  * New upstream release (Closes: #918991)
  * d/rules: simplify since we no longer need to manually regenerate
    ares_config.h
  * Add autopkgtest

 -- Scott Kitterman <scott@kitterman.com>  Tue, 17 Dec 2019 00:42:01 -0500

pycares (2.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937402

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Oct 2019 18:23:40 -0400
