=== debian/control ===
Source: pycares
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-all-dev,
 python3-cffi,
 python3-docutils,
 python3-idna,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.4.1
Homepage: https://github.com/saghul/pycares
Vcs-Git: https://salsa.debian.org/python-team/modules/pycares.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pycares
Rules-Requires-Root: no

Package: python3-pycares
Architecture: any
Depends:
 python3-idna,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-pycares-doc,
Description: Python interface for c-ares (Python 3)
 pycares is a Python module which provides an interface to c-ares. c-ares is
 a C library that performs DNS requests and name resolutions asynchronously.
 .
 This package installs the library for Python 3.

Package: python-pycares-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python interface for c-ares (common documentation)
 pycares is a Python 3 module which provides an interface to c-ares. c-ares is
 a C library that performs DNS requests and name resolutions asynchronously.
 .
 This is the common documentation package.
