=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYBUILD_NAME = pycares

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	$(MAKE) -C docs html

override_dh_auto_clean-indep:
	$(MAKE) -C docs clean

# No tests needed for docs
override_dh_auto_test-indep:

override_dh_installdocs:
	dh_installdocs -ppython-pycares-doc --doc-main-package=python3-pycares
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-pycares-doc --doc-main-package=python3-pycares
