=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4
opts=uversionmangle=s/b/~b/ \
https://github.com/saghul/@PACKAGE@/releases \
    .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian
