## pycares 4.1.2

=== debian/changelog ===
pycares (4.1.2-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:59 +0100

pycares (4.1.2-2) unstable; urgency=medium

  * Team Upload.
  * Revert: Run test suite at build time.
    This needs Internet access, of course.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Nov 2021 20:06:43 -0800

pycares (4.1.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team Upload.
  * New upstream release.
    - Drops bundled c-ares.
  * Bump copyright years.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Run autopkgtest outside the build directory, to run against the installed
    module.
  * Build against system c-ares, now that upstream is no longer carrying
    patches to it.
  * Declare needs-internet in the autopgktest, it relies on foreign DNS
    servers.
  * Patch: Support c-ares 1.18.
  * Run test suite at build time.
  * Drop -Wl,--as-needed, no longer needed explicitly.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Nov 2021 19:21:18 -0800
