=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pycares
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
+ libc-ares-dev,
  python3-all,
  python3-all-dev,
  python3-cffi,
@@ -14,10 +15,10 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/saghul/pycares
-Vcs-Git: https://salsa.debian.org/python-team/modules/pycares.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pycares
+Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
 Rules-Requires-Root: no
 
 Package: python3-pycares
