=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,10 @@
 #export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PYBUILD_NAME = pycares
+
+export PYCARES_USE_SYSTEM_LIB = 1
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
