## pycares 4.3.0

=== debian/changelog ===
pycares (4.3.0-2) unstable; urgency=medium

  * Add d/p/0003-Allow-connection-refused-badresolv.conf.patch to address
    inappropriate test failure on Debian CI

 -- Scott Kitterman <scott@kitterman.com>  Mon, 13 Mar 2023 05:42:48 -0400

pycares (4.3.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Drop c-ares 1.18 patch, superseded upstream.

  [ Scott Kitterman ]
  * New upstream release to align pycares with Debian's c-ares version
  * Point debian/watch at pypi, since that's where the tarballs are now
  * Update autopkgtest to run tests per upstream documentation
  * Add netbase to Suggests and d/test/control test depends
  * Update tests so Debian CI is recognized as a CI environment which causes
    tests which are not expected to work in a CI environment to be skipped
  * Bump standards-version to 4.6.2 without further change
  * Don't run tests during build, needs network
  * Add pybuild-plugin-pyproject to build-depends, since it's the future

 -- Scott Kitterman <scott@kitterman.com>  Mon, 13 Mar 2023 00:28:02 -0400
