=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
+ pybuild-plugin-pyproject,
  libc-ares-dev,
  python3-all,
  python3-all-dev,
@@ -15,7 +16,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/saghul/pycares
 Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
@@ -30,6 +31,7 @@
  ${shlibs:Depends},
 Suggests:
  python-pycares-doc,
+ netbase,
 Description: Python interface for c-ares (Python 3)
  pycares is a Python module which provides an interface to c-ares. c-ares is
  a C library that performs DNS requests and name resolutions asynchronously.
