## pycares 4.4.0

=== debian/changelog ===
pycares (4.4.0-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 21:57:00 +0000

pycares (4.4.0-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:22:03 +0000

pycares (4.4.0-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 01:31:46 +0000

pycares (4.4.0-2) unstable; urgency=medium

  * Orphan the package, see #1074758
    - Remove myself from uploaders and update maintainer to Debian QA Group
    - Update Vcs-* to Debian group

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Jul 2024 09:58:17 -0400

pycares (4.4.0-1) unstable; urgency=medium

  * Add d/source/options extend-diff-ignore to fix dpkg-source failure due to
    local changes (python package metadata regeneration) (Closes: # 1048868)
  * New upstream release
  * Add Forwarded tag to header of existing patches
  * Add d/p/0004-Fix-test_query_txt_chunked-expected-result.patch,
    0005-Update-test_query_ptr-to-use-address-with-PTR.patch, and
    0006-Update-test_idna_encoding_query_a-to-expect-ARES_EBA.patch to
    address test failures

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Jan 2024 01:14:47 -0500
