=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pycares
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
@@ -18,8 +17,8 @@
  python3-sphinx-rtd-theme,
 Standards-Version: 4.6.2
 Homepage: https://github.com/saghul/pycares
-Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
+Vcs-Git: https://salsa.debian.org/debian/pycares.git
+Vcs-Browser: https://salsa.debian.org/debian/pycares
 Rules-Requires-Root: no
 
 Package: python3-pycares
