=== deps/c-ares/src/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT
ADD_SUBDIRECTORY (lib)
ADD_SUBDIRECTORY (tools)
