=== debian/changelog ===
pycares (4.9.0-1) unstable; urgency=medium

  * New maintainer upload. (Closes: #1074758)
  * New upstream version.
  * debian/control: Update to new standards
    - Bump debhelper-compat from 12 to 13.
    - Bump standards version to 4.7.2, no changes required.
    - Remove 'Rules-Requires-Root: no'.
    - Add Manuel Guerra to uploaders.
    - Move repository back to 'Debian Python Team' namespace.
    - Add dh-sequence-sphinxdoc to dependencies.
    - Change python-pycares-doc package to python3-pycares-doc.
    - Add built-using-sphinxdoc.
    - Fix multiarch hinter for python3-pycares-doc.
  * debian/copyright: Update information of copyright holders
    - Add Manuel Guerra to 'debian/*' stanzas.
    - Add email to upstream author.
    - Remove copyright stanzas for license files.
  * debian/patches: Remove unused patches and add new ones:
    - Remove 0003-Allow-connection-refused-badresolv.conf.patch
    - Remove 0004-Fix-test_query_txt_chunked-expected-result.patch
    - Remove 0005-Update-test_query_ptr-to-use-address-with-PTR.patch
    - Remove 0006-Update-test_idna_encoding_query_a-to-expect-ARES_EBA.patch
    - Add 0003-fix-spf-test.patch
    - Add 0004-change-shebang-to-python3.patch
  * debian/salsa-ci.yml: Add file to manage Salsa's CI.
  * debian/gbp.conf: Update to full configuration.
  * debian/rules: Simplify dh rules.
  * debian/source/lintian-overrides: Clean lintian tags relatives to Sphinx.
  * debian/upstream/metadata: Add upstream metadata file.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Sun, 19 Oct 2025 12:11:49 -0400
