=== debian/control ===
Source: pycares
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               dh-python,
               pybuild-plugin-pyproject,
               libc-ares-dev,
               python3-all,
               python3-all-dev,
               python3-cffi,
               python3-docutils,
               python3-idna,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Homepage: https://github.com/saghul/pycares
Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
Standards-Version: 4.7.2

Package: python3-pycares
Architecture: any
Depends: python3-idna,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-pycares-doc,
          netbase
Description: Python interface for c-ares (Python 3)
 pycares is a Python module which provides an interface to c-ares. c-ares is
 a C library that performs DNS requests and name resolutions asynchronously.
 .
 This package installs the library for Python 3.

Package: python-pycares-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python interface for c-ares (common documentation)
 pycares is a Python 3 module which provides an interface to c-ares. c-ares is
 a C library that performs DNS requests and name resolutions asynchronously.
 .
 This is the common documentation package.
