=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYCARES_USE_SYSTEM_LIB = 1
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build-indep:
 	$(MAKE) -C docs html
@@ -18,8 +18,8 @@
 override_dh_auto_clean-indep:
 	$(MAKE) -C docs clean
 
-# No tests needed for docs
-override_dh_auto_test-indep:
+# Tests require network, tested by debci
+override_dh_auto_test:
 
 override_dh_installdocs:
 	dh_installdocs -ppython-pycares-doc --doc-main-package=python3-pycares
