=== debian/watch ===
Version: 5
Source: https://pypi.debian.net/pycares
Matching-Pattern: .*/pycares-*@ANY_VERSION@\.tar\.gz
Uversion-Mangle: auto
