## pycares 5.0.0

=== debian/changelog ===
pycares (5.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Mon, 22 Dec 2025 00:34:54 +0000
