=== debian/control ===
--- 
+++ 
@@ -30,6 +30,8 @@
          ${shlibs:Depends}
 Suggests: python-pycares-doc,
           netbase
+Breaks: python3-aiodns (<< 3.6.1)
+Replaces: python3-aiodns (<< 3.6.1)
 Description: Python interface for c-ares (Python 3)
  pycares is a Python module which provides an interface to c-ares. c-ares is
  a C library that performs DNS requests and name resolutions asynchronously.
