=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,8 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all
 export PYBUILD_NAME = pycares
-
 export PYCARES_USE_SYSTEM_LIB = 1
 
 %:
