=== debian/changelog ===
pycares (5.0.1-3) unstable; urgency=medium

  * Remove redundant section priority in control file.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Thu, 22 Jan 2026 11:38:14 +0000

pycares (5.0.1-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #1124462)
  * debian/control: Update packaging:
    - Bump standards version to 4.7.3, no changes needed.
    - Remove tag Build Using Sphinx.
  * debian/source/lintian-overrides: Remove lintian-overrides.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Tue, 06 Jan 2026 00:57:15 +0000

pycares (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Apply patch to skip tests that require network.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Thu, 01 Jan 2026 19:21:00 +0000

pycares (5.0.0-3) unstable; urgency=medium

  * Fix assertion error in test idna2008.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Sat, 27 Dec 2025 19:21:00 +0000

pycares (5.0.0-2) unstable; urgency=medium

  * debian/control: Update VCS info and remove Replaces and Breaks fields.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Mon, 22 Dec 2025 18:10:39 +0000
