=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pycares
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>
 Build-Depends: debhelper-compat (= 13),
@@ -12,15 +11,16 @@
                python3-all,
                python3-all-dev,
                python3-cffi,
+               python3-cffi-backend,
                python3-docutils,
                python3-idna,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
 Homepage: https://github.com/saghul/pycares
-Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
-Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
-Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/pycares
+Vcs-Git: https://salsa.debian.org/debian/pycares.git
+Standards-Version: 4.7.3
 
 Package: python3-pycares
 Architecture: any
@@ -30,8 +30,6 @@
          ${shlibs:Depends}
 Suggests: python-pycares-doc,
           netbase
-Breaks: python3-aiodns (<< 3.6.1)
-Replaces: python3-aiodns (<< 3.6.1)
 Description: Python interface for c-ares (Python 3)
  pycares is a Python module which provides an interface to c-ares. c-ares is
  a C library that performs DNS requests and name resolutions asynchronously.
@@ -44,7 +42,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: Python interface for c-ares (common documentation)
  pycares is a Python 3 module which provides an interface to c-ares. c-ares is
  a C library that performs DNS requests and name resolutions asynchronously.
