=== debian/tests/control ===
Tests: run-pytest
Depends: @, python3-all, netbase, python3-cffi-backend
Restrictions: allow-stderr, needs-internet
